﻿using System;

namespace WCS.Entity.Protocol.SRM
{
    /// <summary>
    /// 运行模式
    /// </summary>
    public enum SrmRunSpeedEnum : short
    {
        /// <summary>
        ///  默认
        /// </summary>
        Default = 0,

        /// <summary>
        ///  低速
        /// </summary>
        LowSpeed = 1,
    }

    /// <summary>
    /// 任务类型
    /// </summary>
    public enum SrmTaskTypeEnum : short
    {
        /// <summary>
        ///  默认 出入库移库使用该任务类型
        /// </summary>
        Default = 0,

        /// <summary>
        ///  完成任务
        /// </summary>
        FinishTask = 1,

        /// <summary>
        ///  删除任务
        /// </summary>
        DeleteTask = 2,

        /// <summary>
        ///  移动任务
        /// </summary>
        MoveTask = 3,
    }

    /// <summary>
    /// 货叉位置
    /// </summary>
    public enum ForkPosition : short
    {
        /// <summary>
        ///  中位
        /// </summary>
        Centr = 0,

        /// <summary>
        ///  一深度
        /// </summary>
        OneDepth = 1,

        /// <summary>
        /// 二深度
        /// </summary>
        TwoDepth = 2
    }

    /// <summary>
    /// 运行模式
    /// </summary>
    public enum SrmAutoStatus : short
    {
        /// <summary>
        ///  自动
        /// </summary>
        Automatic = 0,

        /// <summary>
        ///  半自动
        /// </summary>
        SemiAutomatic = 1,

        /// <summary>
        ///  手动
        /// </summary>
        Manual = 2,

        /// <summary>
        ///  保持维修
        /// </summary>
        KeepInRepair
    }

    /// <summary>
    /// 运行状态
    /// </summary>
    public enum SrmRunStatus : short
    {
        /// <summary>
        ///  空闲
        /// </summary>
        Idle = 1,

        /// <summary>
        ///  取货行走
        /// </summary>
        GetGoodsWalk = 2,

        /// <summary>
        ///  取货伸叉
        /// </summary>
        GetGoodsOutstretchFork = 3,

        /// <summary>
        ///  取货抬叉
        /// </summary>
        GetGoodsLiftFork = 4,

        /// <summary>
        ///  取货收叉
        /// </summary>
        GetGoodsRetractFork = 5,

        /// <summary>
        ///  放货行走
        /// </summary>
        PutGoodsWalk = 6,

        /// <summary>
        ///  放货伸叉
        /// </summary>
        PutGoodsOutstretchFork = 7,

        /// <summary>
        ///  放货降叉
        /// </summary>
        PutGoodsDropFork = 6,

        /// <summary>
        ///  放货收叉
        /// </summary>
        PutGoodsRetractFork = 7,
    }

    /// <summary>
    /// 堆垛机状态
    /// </summary>
    public enum SrmStatus : ushort
    {
        /// <summary>
        ///  PLC的握手信号
        /// </summary>
        HandshakeTowcs = 1 << 0,

        /// <summary>
        ///  完成取货信号
        /// </summary>
        GetFinishi = 1 << 1,

        /// <summary>
        ///  完成放货信号
        /// </summary>
        PutFinishi = 1 << 2,

        /// <summary>
        ///  报警信号
        /// </summary>
        Alarm = 1 << 3,

        /// <summary>
        ///  任务完成信号
        /// </summary>
        TaskFinish = 1 << 4,

        /// <summary>
        ///  设备有货
        /// </summary>
        Loaded = 1 << 5,

        /// <summary>
        ///  货叉在原位
        /// </summary>
        ForkCenter = 1 << 6,

        /// <summary>
        ///  可以下发任务
        /// </summary>
        CanTaskIssued = 1 << 7,

        /// <summary>
        ///  保留
        /// </summary>
        RES1 = 1 << 8,

        /// <summary>
        ///  保留
        /// </summary>
        RES2 = 1 << 9,

        /// <summary>
        ///  保留
        /// </summary>
        RES3 = 1 << 10,

        /// <summary>
        ///  保留
        /// </summary>
        RES4 = 1 << 11,

        /// <summary>
        ///  保留
        /// </summary>
        RES5 = 1 << 12,

        /// <summary>
        ///  保留
        /// </summary>
        RES6 = 1 << 13,

        /// <summary>
        ///  保留
        /// </summary>
        RES7 = 1 << 14,

        /// <summary>
        ///  保留
        /// </summary>
        RES8 = 1 << 15,
    }

    /// <summary>
    /// 堆垛机报警项
    /// </summary>
    [Flags]
    public enum SrmAlarm : ulong { 
    }
}
