﻿using SqlSugar;
using System.ComponentModel;
using System.Runtime.Serialization;

namespace WCS.Entity.Protocol.Station
{
    /// <summary>
    /// 站台交互信号 写记录表
    /// </summary>
    [SugarTable(nameof(WCS_Station520), "站台交互信号 写记录表")]
    [DataContract]
    public class WCS_Station520 : WCS_PROTOCOLDATA, IStation520
    {
        /// <summary>
        /// 任务号
        /// </summary>
        [SugarColumn(ColumnDescription = "任务号")]
        [Description("任务号")]
        [DataMember(Order = 0)]
        public int TaskNumber { get; set; }

        /// <summary>
        /// 起始地址
        /// </summary>
        [SugarColumn(ColumnDescription = "起始地址")]
        [Description("起始地址")]
        [DataMember(Order = 1)]
        public short GoodsStart { get; set; }

        /// <summary>
        /// 目标地址
        /// </summary>
        [SugarColumn(ColumnDescription = "目标地址")]
        [Description("目标地址")]
        [DataMember(Order = 2)]
        public short GoodsEnd { get; set; }

        /// <summary>
        /// 运行模式
        /// </summary>
        [SugarColumn(ColumnDescription = "运行模式")]
        [Description("运行模式")]
        [DataMember(Order = 3)]
        public ModeEunm Mode { get; set; }

        /// <summary>
        /// 指令类型
        /// </summary>
        [SugarColumn(ColumnDescription = "指令类型")]
        [Description("指令类型")]
        [DataMember(Order = 4)]
        public CmdTypeEnum CmdType { get; set; }

        /// <summary>
        /// 凭证号
        /// </summary>
        [SugarColumn(ColumnDescription = "凭证号")]
        [Description("凭证号")]
        [DataMember(Order = 5)]
        public short VoucherNo { get; set; }
    }
}
