﻿using SqlSugar;

namespace WCS.Entity
{
    public class WCS_PathDtl
    {
        /// <summary>
        /// 起始地址设备号
        /// </summary>
        [SugarColumn(ColumnDescription = "起始地址设备号")]
        public string? STARTCODE { get; set; }

        /// <summary>
        /// 起点设备详细信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(STARTCODE))]
        public WCS_DEVICEHdr? START { get; set; }

        /// <summary>
        /// 终点地址设备号
        /// </summary>
        [SugarColumn(ColumnDescription = "终点地址设备号")]
        public string? ENDCODE { get; set; }

        /// <summary>
        /// 终点设备详细信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(ENDCODE))]
        public WCS_DEVICEHdr? END { get; set; }

        /// <summary>
        /// 路径点设备号
        /// </summary>
        [SugarColumn(ColumnDescription = "路径点设备号", IsNullable = true)]
        public string? DEVICECODE { get; set; }

        /// <summary>
        /// 路径点详细信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(DEVICECODE))]
        public WCS_DEVICEHdr? DEVICE { get; set; }

        /// <summary>
        /// 前路径点设备号
        /// </summary>
        [SugarColumn(ColumnDescription = "前路径点设备号")]
        public string? PREVCODE { get; set; }

        /// <summary>
        /// 前路径点详细信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(PREVCODE))]
        public WCS_DEVICEHdr? PREV { get; set; }

        /// <summary>
        /// 后路径点设备号
        /// </summary>
        [SugarColumn(ColumnDescription = "后路径点设备号", IsNullable = true)]
        public string? NEXTCODE { get; set; }

        /// <summary>
        /// 后路径点详细信息
        /// </summary>
        [Navigate(NavigateType.OneToOne, nameof(NEXTCODE))]
        public WCS_DEVICEHdr? NEXT { get; set; }
    }
}
