﻿using ServiceCenter.SqlSugars;
using WCS.Entity;

namespace WCS.WorkEngineering.Extensions
{
    /// <summary>
    /// 任务扩展
    /// </summary>
    public static class TaskExtension
    {
        /// <summary>
        /// 更新任务执行记录
        /// </summary>
        /// <param name="task">任务信息</param>
        /// <param name="db">数据库上下文</param>
        /// <param name="curPoint">当前地址</param>
        /// <param name="desc">描述</param>
        public static void AddWCS_TASK_DTL(this WCS_TASK task, SqlSugarHelper db, string curPoint, string desc)
        {
            db.Connect.Insertable(new WCS_TASK_DTL
            {
                ParentTaskCode = task.ID,
                CurPoint = "",
                NextPoint = "",
                Desc = "",
                UPDATETIME = DateTime.Now,
                ExecTime = DateTime.Now,
                UPDATEUSER = "WCS"
            }).AddQueue();
        }

        /// <summary>
        /// 更新任务执行记录
        /// </summary>
        /// <param name="task">任务信息</param>
        /// <param name="db">数据库上下文</param>
        /// <param name="curPoint">当前地址</param>
        /// <param name="NextPoint">下一个地址</param>
        /// <param name="desc">描述</param>
        public static void AddWCS_TASK_DTL(this WCS_TASK task, SqlSugarHelper db, string curPoint, string NextPoint, string desc)
        {
            db.Connect.Insertable(new WCS_TASK_DTL
            {
                ParentTaskCode = task.ID,
                CurPoint = "",
                NextPoint = "",
                Desc = "",
                UPDATETIME = DateTime.Now,
                ExecTime = DateTime.Now,
                UPDATEUSER = "WCS"
            }).AddQueue();
        }
    }
}
